############################################################################
# Makefile.host
#
#   Copyright (C) 2007, 2008, 2011 Gregory Nutt. All rights reserved.
#   Author: Gregory Nutt <spudmonkey@racsa.co.cr>
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in
#    the documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name NuttX nor the names of its contributors may be
#    used to endorse or promote products derived from this software
#    without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
# FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
# COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
# BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
# OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
# AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
# ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
############################################################################

all: mkconfig mkversion mksyscall bdf-converter
default: mkconfig mksyscall
.PHONY: clean

# Add CFLAGS=-g on the make command line build debug versions

CFLAGS = -O2 -Wall -I.

# mkconfig - Convert a .config file into a C config.h file

mkconfig: mkconfig.c cfgparser.c
	@gcc $(CFLAGS) -o mkconfig mkconfig.c cfgparser.c

# mkversion - Convert a .version file into a C version.h file

mkversion: mkconfig.c cfgparser.c
	@gcc $(CFLAGS) -o mkversion mkversion.c cfgparser.c

# mksyscall - Convert a CSV file into syscall stubs and proxies

mksyscall: mksyscall.c
	@gcc $(CFLAGS) -o mksyscall mksyscall.c

# bdf-converter - Converts a BDF font to the NuttX font format

bdf-converter: bdf-converter.c
	@gcc $(CFLAGS) -o bdf-converter bdf-converter.c

clean:
	@rm -f *.o *.a *~ .*.swp
	@rm -f mkconfig mksyscall mkversion bdf-converter
	@rm -f mkconfig.exe mksyscall.exe mkversion.exe bdf-converter.exe
